import { css } from "@emotion/react";
import styled from "@emotion/styled";

export const CardWrapper = styled.article`
  display: flex;
  flex-direction: column;
  margin-top: 24px;
  border-radius: 30px;
  box-shadow: 0 0 26px 2px #0000001c;
  background: rgba(255, 255, 255, 0.59);
  padding: 24px;
`;

export const CardImage = styled.img<{ directionReverse: boolean }>`
  width: 300px;
  height: 300px;
  margin-left: 0;
  margin-right: auto;
  
  ${props => props.directionReverse && css`
    margin-left: auto;
    margin-right: 0;
  `}
`;

export const CardHeader = styled.header`
  display: flex;
  justify-content: space-between;
  font-size: 24px;
  font-weight: 800;
  align-items: center;
`;

export const SubHeader = styled.h2`
  color: #659a26;
  font-size: 24px;
`;

export const Content = styled.div<{ directionReverse: boolean }>`
  display: flex;
  flex-direction: row;
  gap: 40px;

  ${props => {
    if (props.directionReverse) {
      return css`
        flex-direction: row-reverse;
      `;
    }
  
  }}
`;

export const CardText = styled.p`
  font-size: 24px;
`;
